video
from0.04 / s
MiniMax H3 Highspeed
Animate a first frame, a last frame or both with MiniMax H3 Highspeed. Use a prompt to guide motion and create 4–15 second videos at 480P or 768P for quick creative iteration.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "minimax/h3-highspeed/image-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "768P", "aspect_ratio": "auto", "aigc_watermark": false }, withPolling: true, },); console.log(result);Calling the API
Use minimax/h3-highspeed/image-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "minimax/h3-highspeed/image-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "768P", "aspect_ratio": "auto", "aigc_watermark": false }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Prompt
{
"type": "string",
"title": "Prompt",
"pattern": "\\S",
"maxLength": 7000,
"minLength": 1
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 4
}image_urlstring · optional
First frame URL
{
"type": "string",
"title": "First frame URL",
"format": "uri",
"minLength": 1
}resolutionstring · optional
Resolution
Options: 480P, 768P
Default: "768P"
{
"enum": [
"480P",
"768P"
],
"type": "string",
"title": "Resolution",
"default": "768P"
}aspect_ratiostring · optional
Aspect ratio
Options: auto, adaptive, 21:9, 16:9, 4:3, 1:1, 3:4, 9:16
Default: "auto"
{
"enum": [
"auto",
"adaptive",
"21:9",
"16:9",
"4:3",
"1:1",
"3:4",
"9:16"
],
"type": "string",
"title": "Aspect ratio",
"default": "auto"
}end_image_urlstring · optional
Last frame URL
{
"type": "string",
"title": "Last frame URL",
"format": "uri",
"minLength": 1
}aigc_watermarkboolean · optional
aigc watermark
Default: false
{
"type": "boolean",
"const": false,
"default": false
}Price
From $0.0400 per second.
View all pricing